summaryrefslogtreecommitdiffstats
path: root/.config/zsh/oh-my-zsh/plugins/droplr/droplr.plugin.zsh
diff options
context:
space:
mode:
authorLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2025-02-13 14:13:49 +0530
committerLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2025-02-13 14:13:49 +0530
commit8a2e1006b3b272126332aa064f3ad95387129544 (patch)
tree944c80ac612a65980d94a54ba11b6c7102037ecf /.config/zsh/oh-my-zsh/plugins/droplr/droplr.plugin.zsh
parentdcbb16d8b08ff5956abef5e6478b59df2e93ad35 (diff)
downloaddotfiles-8a2e1006b3b272126332aa064f3ad95387129544.tar.gz
dotfiles-8a2e1006b3b272126332aa064f3ad95387129544.tar.bz2
dotfiles-8a2e1006b3b272126332aa064f3ad95387129544.zip
new dot filesHEADmaster
Diffstat (limited to '.config/zsh/oh-my-zsh/plugins/droplr/droplr.plugin.zsh')
-rw-r--r--.config/zsh/oh-my-zsh/plugins/droplr/droplr.plugin.zsh15
1 files changed, 15 insertions, 0 deletions
diff --git a/.config/zsh/oh-my-zsh/plugins/droplr/droplr.plugin.zsh b/.config/zsh/oh-my-zsh/plugins/droplr/droplr.plugin.zsh
new file mode 100644
index 0000000..af0a212
--- /dev/null
+++ b/.config/zsh/oh-my-zsh/plugins/droplr/droplr.plugin.zsh
@@ -0,0 +1,15 @@
+# Only compatible with MacOS
+[[ "$OSTYPE" == darwin* ]] || return
+
+droplr() {
+ if [[ $# -eq 0 ]]; then
+ echo You need to specify a parameter. >&2
+ return 1
+ fi
+
+ if [[ "$1" =~ ^https?:// ]]; then
+ osascript -e 'tell app "Droplr" to shorten "'"$1"'"'
+ else
+ open -ga /Applications/Droplr.app "$1"
+ fi
+}